List recorded URLs
Response
Add recorded URLs
title is omitted, Topify fetches it in the background.
Request body
Response
Remove recorded URLs
affected_count and total_recorded fields as the add endpoint.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Manage project URLs used as inputs for prompt discovery and recommendations.
GET /projects/{project_id}/recording
curl "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/recording" \
-H "X-API-Key: tk_live_..."
{
"code": 200,
"message": "200 OK",
"data": {
"project_id": "a1b2c3d4-...",
"total": 1,
"urls": [
{
"id": "e5f6a7b8-...",
"url": "https://acme.com/pricing",
"normalized_url": "https://acme.com/pricing",
"title": "Pricing | Acme",
"icon_urls": ["https://www.google.com/s2/favicons?domain=acme.com&sz=128"],
"created_at": "2026-07-13T12:00:00+00:00"
}
]
}
}
POST /projects/{project_id}/recording
title is omitted, Topify fetches it in the background.
| Field | Type | Required | Description |
|---|---|---|---|
urls | object[] | Yes | One to 50 URL objects |
urls[].url | string | Yes | Page URL |
urls[].title | string | No | Page title; fetched asynchronously when omitted |
curl -X POST "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/recording" \
-H "X-API-Key: tk_live_..." \
-H "Content-Type: application/json" \
-d '{"urls":[{"url":"https://acme.com/pricing","title":"Pricing | Acme"}]}'
{
"code": 200,
"message": "200 OK",
"data": {
"project_id": "a1b2c3d4-...",
"affected_count": 1,
"total_recorded": 4
}
}
DELETE /projects/{project_id}/recording
curl -X DELETE "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/recording" \
-H "X-API-Key: tk_live_..." \
-H "Content-Type: application/json" \
-d '{"urls":["https://acme.com/pricing"]}'
affected_count and total_recorded fields as the add endpoint.